package MegaSquirt::Exception;
###############################################################################

=head1 NAME

Exception - base class for all Exceptions

=head1 VERSION

$Revision: 1.1

=cut

our $VERSION = (qw$Revision: 1.2 $ )[-1];

=head1 DATE

$Date: 2004/01/22 21:02:08 $

=head1 SYNOPSIS

  use base qw( MegaSquirt::Exception );

=head1 DESCRIPTION

=cut

#=============================================================================#
# Function Prototypes and Closures     #
#======================================#


#=============================================================================#
# Constants                            #
#======================================#


#=============================================================================#
# Dependencies                         #
#======================================#

#--------------------------------------#
# Standard Dependencies
use strict;


#--------------------------------------#
# Programmatic Dependencies
use Exception::Class 
    (
     'MegaSquirt::Exception',

     'MegaSquirt::Exception::Application' =>
     { isa => 'MegaSquirt::Exception',
       fields => [ 'syserr' ] },

     'MegaSquirt::Exception::DataAccess' =>
     { isa => 'MegaSquirt::Exception',
       fields => [ 'syserr' ] },

     'MegaSquirt::Exception::DataProcessing' =>
     { isa => 'MegaSquirt::Exception',
       fields => [ 'syserr' ] },

     'MegaSquirt::Exception::General' =>
     { isa => 'MegaSquirt::Exception',
       fields => [ 'syserr' ] },

     'MegaSquirt::Exception::MethodNotImplemented' =>
     { isa => 'MegaSquirt::Exception',
       fields => [ 'syserr' ] },
     );



#=============================================================================#
# Inheritance                          #
#======================================#


#=============================================================================#
# Fields                               #
#======================================#

#--------------------------------------#
# Public Class Fields


#--------------------------------------#
# Private Class Fields

#--------------------------------------#
# Public Instance Fields


#==============================================================================#
# Methods                              #
#======================================#

=head1 METHODS

=cut

########################################

=head2 Public Class Methods

=over 4

=cut

#--------------------------------------#
# Constructors

#------------------------------------------------------------------------------#



#--------------------------------------#
# Destructors

#------------------------------------------------------------------------------#

########################################

=back

=head2 Private Class Methods

NONE.

=head2 Public Instance Methods

=over 4

=cut


=head1 AUTHOR

steve berry, E<lt>sberry@unideal.netE<gt>

=head1 COPYRIGHT AND LICENSE

Copyright 2004 by steve berry

This library is free software; you can redistribute it and/or modify
it under the same terms as Perl itself. 

=head1 SEE ALSO

NONE

=cut

1;
